<?php

namespace Drupal\proc\Form;

use Drupal\Core\Entity\ContentEntityForm;
use Drupal\Core\Form\FormStateInterface;

/**
 * Form controller for the proc entity edit forms.
 *
 * @ingroup proc
 */
class ProcForm extends ContentEntityForm {

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    /** @var \Drupal\content_entity_example\Entity\Proc $entity */
    $form = parent::buildForm($form, $form_state);
    $entity = $this->entity;
    if ($entity->get('meta')->getValue()[0]['source_file_size']) {
      $form['size'] = [
        '#title' => $this->t('Size'),
        '#type' => 'textfield',
        '#default_value' => format_size($entity->get('meta')->getValue()[0]['source_file_size']),
        '#disabled' => TRUE,
        '#weight' => 1,
      ];
    }
    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function save(array $form, FormStateInterface $form_state) {
    $form_state->setRedirect('entity.proc.collection');
    $entity = $this->getEntity();
    $entity->save();
  }

}
